#ifndef FILEDOWNLOADER_H
   #define FILEDOWNLOADER_H
   #include <QtCore/QCoreApplication>
   #include <QObject>
   #include <QByteArray>
   #include <QNetworkAccessManager>
   #include <QNetworkRequest>
   #include <QNetworkReply>
   #include <QList>
   #include <QVector>
   #include <QVariant>
   #include <cmath>


   class FileDownloader  : public QObject
   {
       Q_OBJECT


   public:
        FileDownloader(const QUrl &KUrl);
       virtual ~FileDownloader();       
    void transmit(QList<QByteArray> &table);
   signals:
           void downloaded();

   private slots:

       void fileDownloaded(QNetworkReply* pReply);

   private:
       QUrl kUrl;
       QNetworkAccessManager m_WebCtrl;

      QByteArray m_DownloadedData;

   };

   #endif // FILEDOWNLOADER_H

